Module java.base
Package java.security.cert

## Class CertificateNotYetValidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.cert.CertificateException
        - - java.security.cert.CertificateNotYetValidException

All Implemented Interfaces:
  `Serializable`

    public class CertificateNotYetValidException
    extends CertificateException

Certificate is not yet valid exception. This is thrown whenever the current `Date` or the specified `Date` is before the `notBefore` date/time in the Certificate validity period.

Since:
  1.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
`CertificateNotYetValidException()` Constructs a CertificateNotYetValidException with no detail message.
`CertificateNotYetValidException​(String message)` Constructs a CertificateNotYetValidException with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CertificateNotYetValidException

    public CertificateNotYetValidException()

Constructs a CertificateNotYetValidException with no detail message. A detail message is a String that describes this particular exception.

#### CertificateNotYetValidException

    public CertificateNotYetValidException​(String message)

Constructs a CertificateNotYetValidException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.